Debian Bug report logs - #237408
lvm2 - failes on devices > 4GiB

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Bastian Blank <waldi@debian.org>

Date: Thu, 11 Mar 2004 13:18:01 UTC

Severity: normal

Found in version 2.00.08-4

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: lvm2 - failes on devices > 4GiB
Date: Thu, 11 Mar 2004 14:12:28 +0100
[Message part 1 (text/plain, inline)]
Package: lvm2
Version: 2.00.08-4
Severity: grave

lvm2 failes on device > 4GiB.

strace output:
| lseek(5, 0, SEEK_SET)                   = 0
| read(5, "\232\v\246\36\327\2671\32c\266\ns\324\327\241\352u\357"..., 4096) = 4096
| write(1, "      /dev/md0: lvm2 label detec"..., 36) = 36
| ioctl(5, 0x80041270, 0x7fffef88)        = 0
| lseek(5, 3945857024, SEEK_SET)          = -1 EINVAL (Invalid argument)
| write(2, "  ", 2)                       = 2
| write(2, "/dev/md0: lseek failed: Invalid "..., 40) = 40
| write(2, "\n", 1)                       = 1

Bastian

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: s390
Kernel: Linux 2.6.4-waldi02-1
Locale: LANG=C, LC_CTYPE=C

-- 
Death, when unnecessary, is a tragic thing.
		-- Flint, "Requiem for Methuselah", stardate 5843.7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 237408@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Bastian Blank <waldi@debian.org>, 237408@bugs.debian.org
Subject: Re: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Thu, 11 Mar 2004 12:27:10 -0500
[Message part 1 (text/plain, inline)]
On Thu, 2004-03-11 at 08:12, Bastian Blank wrote:
> Package: lvm2
> Version: 2.00.08-4
> Severity: grave
> 
> lvm2 failes on device > 4GiB.
> 
> strace output:
> | lseek(5, 0, SEEK_SET)                   = 0
> | read(5, "\232\v\246\36\327\2671\32c\266\ns\324\327\241\352u\357"..., 4096) = 4096
> | write(1, "      /dev/md0: lvm2 label detec"..., 36) = 36
> | ioctl(5, 0x80041270, 0x7fffef88)        = 0
> | lseek(5, 3945857024, SEEK_SET)          = -1 EINVAL (Invalid argument)
> | write(2, "  ", 2)                       = 2
> | write(2, "/dev/md0: lseek failed: Invalid "..., 40) = 40
> | write(2, "\n", 1)                       = 1
> 


Can you please also provide the output of the commands that this strace
came from?  Also, information about md0 (and any other PVs on the
system) would be useful.


> Bastian
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: s390
> Kernel: Linux 2.6.4-waldi02-1
> Locale: LANG=C, LC_CTYPE=C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #15 received at 237408@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Andres Salomon <dilinger@voxel.net>
Cc: 237408@bugs.debian.org
Subject: Re: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Thu, 11 Mar 2004 20:55:29 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 11, 2004 at 12:27:10PM -0500, Andres Salomon wrote:
> Can you please also provide the output of the commands that this strace
> came from?  Also, information about md0 (and any other PVs on the
> system) would be useful.

I can't currently force the error as I do some tests with evms, but it
don't find any usable pv:

| # pvcreate -vv /dev/md0
|       global/locking_type not found in config: defaulting to 1
|       global/locking_dir not found in config: defaulting to /var/lock/lvm
|       File-based locking enabled.
|       Locking /var/lock/lvm/P_orphans WB
|       /dev/md0: No label detected
|   No physical volume label read from /dev/md0
|       metadata/pvmetadatasize not found in config: defaulting to 255
|       metadata/pvmetadatacopies not found in config: defaulting to 1
|       Getting size of /dev/md0
|     Set up physical volume for "/dev/md0" with 284530816 available sectors
|       Scanning for labels to wipe from /dev/md0
|       Writing physical volume data to disk "/dev/md0"
|       /dev/md0: Writing label to sector 1
|   Physical volume "/dev/md0" successfully created
|       Unlocking /var/lock/lvm/P_orphans
| # vgcreate -vvt storage /dev/md0
|   Test mode: Metadata will NOT be updated.
|       global/locking_type not found in config: defaulting to 1
|       global/locking_dir not found in config: defaulting to /var/lock/lvm
|       File-based locking enabled.
|       /dev/sda: lvm2 label detected
|       /dev/md0: lvm2 label detected
|       Duplicate PV DF4gYoavRK5RsdkY5Jj20fbQ6h1yMpWm on /dev/sda - using md /dev/md0
|       /dev/md1: lvm2 label detected
| [...]
|       Ignoring duplicate PV EXL1rSN2tE4MP1BEpLCUiy338toED5nU on /dev/sdk - using md /dev/md1
|       /dev/sdl: No label detected
|       /dev/sdm: No label detected
|       /dev/sdn: No label detected
|   Must be exactly one data area (found 0) on PV /dev/md0
|   Failed to read existing physical volume '/dev/md0'
|   /dev/md0 not identified as an existing physical volume
|   Unable to add physical volume '/dev/md0' to volume group 'storage'.
|     Test mode: Wiping internal cache

| md0 : active raid5 sda[0] sde[4] sdd[3] sdc[2] sdb[1]
|       142265600 blocks level 5, 64k chunk, algorithm 2 [5/5] [UUUUU]

Bastian

-- 
A father doesn't destroy his children.
		-- Lt. Carolyn Palamas, "Who Mourns for Adonais?",
		   stardate 3468.1.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Thierry DE CARVALHO <thierry.decarvalho@online.fr>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #20 received at 237408@bugs.debian.org (full text, mbox):

From: Thierry DE CARVALHO <thierry.decarvalho@online.fr>
To: 237408@bugs.debian.org
Subject: Fix for bug #237408
Date: Sun, 28 Mar 2004 17:15:16 +0200
[Message part 1 (text/plain, inline)]
The bug occurs with large disks whereas the 32 bits file interface is used.
This fix simply set the _FILE_OFFSET_BITS macro to 64 in order to replace all
the 32 bits file interface calls by the 64 bits version. The interface remains
compatible between the two versions.

 From the libc info pages:

  - Macro: _FILE_OFFSET_BITS
      This macro determines which file system interface shall be used,
      one replacing the other.  Whereas `_LARGEFILE64_SOURCE' makes the
      64 bit interface available as an additional interface,
      `_FILE_OFFSET_BITS' allows the 64 bit interface to replace the old
      interface.

      If `_FILE_OFFSET_BITS' is undefined, or if it is defined to the
      value `32', nothing changes.  The 32 bit interface is used and
      types like `off_t' have a size of 32 bits on 32 bit systems.

      If the macro is defined to the value `64', the large file interface
      replaces the old interface.  I.e., the functions are not made
      available under different names (as they are with
      `_LARGEFILE64_SOURCE').  Instead the old function names now
      reference the new functions, e.g., a call to `fseeko' now indeed
      calls `fseeko64'.

      This macro should only be selected if the system provides
      mechanisms for handling large files.  On 64 bit systems this macro
      has no effect since the `*64' functions are identical to the
      normal functions.

      This macro was introduced as part of the Large File Support
      extension (LFS).



[largefile.patch (text/plain, inline)]
--- lvm2-2.00.08.unmodified/make.tmpl.in	Tue Oct 21 21:59:42 2003
+++ lvm2-2.00.08/make.tmpl.in	Sun Mar 28 13:05:39 2004
@@ -51,7 +51,7 @@
 SUFFIXES=
 SUFFIXES=.c .d .o .so
 
-CFLAGS+=-fPIC -Wall -Wundef -Wshadow -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline
+CFLAGS+=-D_FILE_OFFSET_BITS=64 -fPIC -Wall -Wundef -Wshadow -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline
 
 #CFLAGS+=-W -Wconversion -Wpointer-arith -Wredundant-decls -Wbad-function-cast -Wcast-qual -Wmissing-noreturn
 


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 237408@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Thierry DE CARVALHO <thierry.decarvalho@online.fr>, 237408@bugs.debian.org
Subject: Re: Bug#237408: Fix for bug #237408
Date: Mon, 29 Mar 2004 01:55:41 -0500
[Message part 1 (text/plain, inline)]
On Sun, 2004-03-28 at 10:15, Thierry DE CARVALHO wrote:
> The bug occurs with large disks whereas the 32 bits file interface is used.
> This fix simply set the _FILE_OFFSET_BITS macro to 64 in order to replace all
> the 32 bits file interface calls by the 64 bits version. The interface remains
> compatible between the two versions.
[...]

Cool, thanks.  I was hoping to have time to play with this tonight, but
ran out of time.  Hopefully tomorrow..

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Norbert Veber <nveber@debian.org>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #30 received at 237408@bugs.debian.org (full text, mbox):

From: Norbert Veber <nveber@debian.org>
To: 237408@bugs.debian.org
Subject: Works here
Date: Mon, 5 Apr 2004 11:14:32 -0400
I have no idea what this incoherent bug report is talking about, but it
seems to be working fine here.  My largest volume is 100gb, so its
definitely much bigger than 4gb.  The largest file on this volume is
5.2gb, so its not a problem with file sizes either.

kernel 2.6.4-1-k7, lvm2 2.00.08-4

Thanks,

Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #35 received at 237408@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: 237408@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>
Subject: lvm2 - failes on devices > 4GiB
Date: Sun, 18 Apr 2004 03:06:33 +0200
Hi,

I never used lvm with < 4GiB disks (but never with software raid) so
4GiB can't be the deciding factor.

Any ideas why lvm would try to seek 3945857024 bytes into the file?

Afaik lvm2 should only be intrested in the metadata and thats just a
few blocks at the beginning of the disk, right? Could it be lvm2 tries
to read the raid metadata at the end of the disk for some reason?

MfG
        Goswin



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #40 received at 237408@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, 237408@bugs.debian.org
Subject: Re: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Sun, 18 Apr 2004 00:09:33 -0400
[Message part 1 (text/plain, inline)]
On Sat, 2004-04-17 at 21:06, Goswin von Brederlow wrote:
> Hi,
> 
> I never used lvm with < 4GiB disks (but never with software raid) so
> 4GiB can't be the deciding factor.
> 
> Any ideas why lvm would try to seek 3945857024 bytes into the file?
> 
> Afaik lvm2 should only be intrested in the metadata and thats just a
> few blocks at the beginning of the disk, right? Could it be lvm2 tries
> to read the raid metadata at the end of the disk for some reason?

There was definitely something funky w/ the metadata on this one.  I
just haven't had time to look into it.  I'm going to prepare another
devmapper release (new upstream release a few days ago), and then tackle
lvm2..


> MfG
>         Goswin
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@voxel.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 237408@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@voxel.net>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Cc: 237408@bugs.debian.org
Subject: Re: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Mon, 19 Apr 2004 00:26:18 -0400
[Message part 1 (text/plain, inline)]
On Sun, 2004-04-18 at 00:09, Andres Salomon wrote:
> 
> There was definitely something funky w/ the metadata on this one.  I
> just haven't had time to look into it.  I'm going to prepare another
> devmapper release (new upstream release a few days ago), and then tackle
> lvm2..
> 

Which will be after I get DAM approval, as I'm absolutely sick and tired
of dealing w/ the sponsorship process.  I welcome NMUs.


> 
> > MfG
> >         Goswin
> > 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@voxel.net>:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@voxel.net>. Full text and rfc822 format available.

Message #50 received at 237408@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Andres Salomon <dilinger@voxel.net>
Cc: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, 237408@bugs.debian.org
Subject: Re: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Mon, 19 Apr 2004 10:58:39 +0200
Andres Salomon <dilinger@voxel.net> writes:

> On Sun, 2004-04-18 at 00:09, Andres Salomon wrote:
>> 
>> There was definitely something funky w/ the metadata on this one.  I
>> just haven't had time to look into it.  I'm going to prepare another
>> devmapper release (new upstream release a few days ago), and then tackle
>> lvm2..
>> 
>
> Which will be after I get DAM approval, as I'm absolutely sick and tired
> of dealing w/ the sponsorship process.  I welcome NMUs.

Tried that too.

Result (from my DAM rejection):

| Example #3: lots of talks of inactive maintainers, orphaned packages
| etc. but his two (count them) packages aren't exactly wonderfully
| maintained (as noticed by others[20]) - see the debian changelog of
| xlife for example.

Now I get blamed for letting others NMU with my approval, because I
found it easier to let the bug reporter NMU patches instead of looking
for a sponsor for a MU.

So be carefull you don't dig your own grave.

MfG
        Goswin



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#237408; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #55 received at 237408@bugs.debian.org (full text, mbox):

From: Patrick Caulfield <patrick@debian.org>
To: 237408@bugs.debian.org
Subject: Bug#237408: lvm2 - failes on devices > 4GiB
Date: Tue, 25 May 2004 10:18:49 +0100
The latest version of lvm2 (2.00.15) is built with _FILE_OFFSET_BITS 64, so you
might like to try it again.
-- 

patrick



Severity set to `normal'. Request was from Patrick Caulfield <patrick@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 237408-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 237409-done@bugs.debian.org, 237408-done@bugs.debian.org
Subject: fixed
Date: Wed, 28 Sep 2005 18:07:02 +0200
[Message part 1 (text/plain, inline)]
This bugs are fixed long time ago.

Bastian

-- 
Women professionals do tend to over-compensate.
		-- Dr. Elizabeth Dehaver, "Where No Man Has Gone Before",
		   stardate 1312.9.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:18:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.